<?php

include_once(NNROBOTS_OPTIN_FIRE_PLUGIN_DIR . 'admin/model/db.php');

// Get all the optin data

$nnrobots_optin_fire_db = new NNRobots_Optin_Fire_DB();
$optins = $nnrobots_optin_fire_db->get_optin_fires();

$export_data = array(
	'from-plugin'	=> 'optin-fire',
	'data'			=> $optins,
);

// Import the Data

if ( isset($_POST['submit']) && check_admin_referer(self::$prefix . 'import_export') ) {

	$import_data = json_decode(stripcslashes($_POST[self::$prefix_dash . 'import-data']), true);

	if ( isset($import_data) ) {

		include_once(NNROBOTS_OPTIN_FIRE_PLUGIN_DIR . 'admin/functions.php');

		$default_optin = NNRobots_Optin_Fire_Admin_Functions::default_optin_fire();

		foreach ( $import_data['data'] as $data ) {

			// From - FireBar

			if ( $import_data['from-plugin'] == 'firebar' ) {

				$firebar = $data;

				$data['text'] = $firebar['title'];
				$data['type'] = '1';

				$data['style'] = array_merge( $default_optin['style'], $firebar['args'] );
				$data['template'] = $default_optin['template'];

				if ( $firebar['template'] == 'Text' || $firebar['template'] == 'Recent Posts' || $firebar['template'] == 'Twitter Feed' ) {
					$data['template']['args']['call_to_action'] = 'none';
				} else if ( $firebar['template'] == 'Text and Link' ) {
					$data['template']['args']['call_to_action'] = 'button';
				} else if ( $firebar['template'] == 'Social Icons' ) {
					$data['template']['args']['call_to_action'] = 'social';
				} else if ( $firebar['template'] == 'Custom' ) {
					$data['template']['args']['call_to_action'] = 'html';
				} else if ( $firebar['template'] == 'News Letter'  ) {
					$data['template']['args']['call_to_action'] = 'newsletter';
				}

				$data['news_letter'] = $firebar['news_letter'];
				$data['news_letter']['type'] = strtolower($firebar['news_letter']['type']);
				$data['news_letter']['mailchimp'] = $firebar['news_letter']['MailChimp'];

				$data['trigger']['display_on'] = $firebar['trigger']['type'];
				$data['trigger']['args'] = array_merge($default_optin, $firebar['trigger']);

				$data['template']['args']['social'] = $firebar['social'];
				$data['template']['args']['custom_html'] = $firebar['custom'];
				$data['template']['args'] = array_merge($data['template']['args'], $firebar['text_link']);
				$data['template']['args']['link_url'] = $firebar['link_url'];
				$data['template']['args']['link_name'] = $firebar['link_name'];
				$data['template']['args']['icon'] = $firebar['args']['icon'];
				$data['template']['args']['banner_location'] = $firebar['location'];
				$data['template']['args']['banner_display'] = $firebar['display'];

				$data['style']['background_color'] = $firebar['color'];
				$data['style']['color'] = $firebar['text_color'];
				$data['style']['nl_color'] = $firebar['args']['nl_text_color'];
				$data['style']['nl_bg_color'] = $firebar['args']['nl_button_color'];
				$data['style']['icon_color'] = $firebar['args']['icon_color'];

			}

			// From - Popup Fire

			else if ( $import_data['from-plugin'] == 'popup-fire' ) {

				$popup = $data;

				$data['type'] = '2';

				$data['template']['args'] = array_merge($default_optin['template']['args'], $popup['template']['args']);
				$data['template']['args']['social'] = $popup['social'];
				$data['template']['args']['custom_html'] = $popup['custom'];

				$data['news_letter'] = $popup['news_letter'];
				$data['news_letter']['type'] = strtolower($popup['news_letter']['type']);
				$data['news_letter']['mailchimp'] = $popup['news_letter']['MailChimp'];

				$data['trigger'] = array_merge($default_optin['trigger'], $popup['trigger']);
				$data['style'] = array_merge($default_optin['style'], $popup['style']);
				$data['args'] = array_merge($default_optin['args'], $popup['args']);

			}

			// From - Flyout Fire

			else if ( $import_data['from-plugin'] == 'flyout-fire' ) {

				$flyout = $data;

				$data['type'] = '3';
				$data['style'] = $data['args'];
				$data['template'] = $default_optin['template'];

				$data['template']['args']['call_to_action'] = $flyout['template'];

				if ( $flyout['template'] == 'recent-posts' || $flyout['template'] == 'related-posts' || $flyout['template'] == 'next-post' || $flyout['template'] == 'twitter-feed' || $flyout['template'] == 'contact-location-info' || $flyout['template'] == 'list' ) {
					$data['template']['args']['call_to_action'] = 'none';
				} else if ( $flyout['template'] == 'social-icons' ) {
					$data['template']['args']['call_to_action'] = 'social';
				}

				$data['news_letter'] = $flyout['news_letter'];
				$data['news_letter']['type'] = strtolower($flyout['news_letter']['type']);
				$data['news_letter']['mailchimp'] = $flyout['news_letter']['MailChimp'];

				$data['trigger']['display_on'] = $flyout['trigger']['type'];
				$data['trigger']['args'] = array_merge($default_optin, $flyout['trigger']);

				$data['template']['args'] = array_merge($default_optin, $flyout['args']);
				$data['template']['args']['social'] = $flyout['social'];
				$data['template']['args']['custom_html'] = $flyout['custom'];
				$data['template']['args'] = array_merge($data['template']['args'], $flyout['text_link']);
				$data['template']['args']['link_url'] = $flyout['link_url'];
				$data['template']['args']['link_name'] = $flyout['link_name'];
				$data['template']['args']['icon'] = $flyout['args']['icon'];
				$data['template']['args']['location'] = $flyout['location'];
				$data['template']['args']['slide_direction'] = $flyout['slide_direction'];

				$data['style']['background_color'] = $flyout['color'];
				$data['style']['color'] = $flyout['text_color'];
				$data['style']['nl_color'] = $flyout['args']['nl_text_color'];
				$data['style']['nl_bg_color'] = $flyout['args']['nl_button_color'];
				$data['style']['icon_color'] = $flyout['args']['icon_color'];

			}

			// From - Content Fire

			else if ( $import_data['from-plugin'] == 'content-fire' ) {

				$data['type'] = '4';

				$cta = $data;

				$data['template'] = $default_optin['template'];
				$data['template']['args'] = array_merge($data['template']['args'], $cta['template']['args']);

				$data['news_letter'] = $cta['news_letter'];
				$data['news_letter']['type'] = strtolower($cta['news_letter']['type']);
				$data['news_letter']['mailchimp'] = $cta['news_letter']['MailChimp'];

			}

			// Assign Default Values to all non-matching values

			$data = array_merge( $default_optin , $data );

			$optin_fire_id = $nnrobots_optin_fire_db->add_data($data);
		}

		// Show a message

		?>
		<script type="text/javascript">
			window.location = "<?php echo get_admin_url(); ?>admin.php?page=<?php echo self::$import_export_page; ?>&status=success&import_message=<?php echo urlencode(__(count($import_data['data']) . ' Optins have been imported successfully.', self::$text_domain)); ?>";
		</script>
		<?php

	}

}

// Show the good stuff

require(NNROBOTS_OPTIN_FIRE_PLUGIN_DIR . 'admin/views/import-export.php');